package com.ruoyi.project.system.domain;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;

/**
 * 授权登录IP对象 sys_ip
 *
 * @author ruoyi
 * @date 2023-10-16
 */
public class SysIp extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    private Long id;

    /**
     * 允许登录的IP
     */
    @Excel(name = "允许登录的IP")
    private String agreeIp;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createDate;


    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("agreeIp", getAgreeIp())
                .append("remark", getRemark())
                .append("createBy", getCreateBy())
                .append("createDate", getCreateDate())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .toString();
    }

    /**
     * 获取 id
     *
     * @return id id
     */
    public Long getId() {
        return this.id;
    }

    /**
     * 设置 id
     *
     * @param id id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 获取 允许登录的IP
     *
     * @return agreeIp 允许登录的IP
     */
    public String getAgreeIp() {
        return this.agreeIp;
    }

    /**
     * 设置 允许登录的IP
     *
     * @param agreeIp 允许登录的IP
     */
    public void setAgreeIp(String agreeIp) {
        this.agreeIp = agreeIp;
    }

    /**
     * 获取 创建时间
     *
     * @return createDate 创建时间
     */
    public Date getCreateDate() {
        return this.createDate;
    }

    /**
     * 设置 创建时间
     *
     * @param createDate 创建时间
     */
    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }
}
